QGIS Application - Bug report #11952
Network analysis graph empty
2015-01-05 09:27 AM - Jos Ferraro

Status: Closed
Priority: High
Assignee:

Category: Analysis library

Affected QGIS version:2.6.0

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 20160

Description

When building a graph using the network analysis library, | get (depending on the shapefile) a empty graph (no nodes or edges), even

when there are features on the layer.

| attach two files, that should be identical as seen from the network analysis library, but they produce widely different results. For

example, run:

layer = iface.activelLayer()

director = QgsLineVectorLayerDirector( layer, -1,",",", 3)

properter = QgsDistanceArcProperter()
director.addProperter( properter )

builder = QgsGraphBuilder( layer.crs() )
tiedPoints = director.makeGraph( builder, [] )
graph = builder.graph()

vn = graph.vertexCount()

print(u"the graph has"+str(vn)+u" points")

on both layers(of the attached files) and one shall see that on e graph has 5 points(as expected) and the other has 0.

Associated revisions

Revision 904dc216 - 2016-06-23 02:22 PM - Alexander Bruy

support 25D layers in network analysis library (fix #11952)

Revision 8b57da3a - 2016-06-23 02:24 PM - Alexander Bruy

support 25D layers in network analysis library (fix #11952)

(cherry picked from commit 904dc216251d183305ba1c5dc6c846be10a879db)

History

#1 - 2015-06-03 02:05 PM - Jiirgen Fischer
- Category setto 113

#2 - 2016-06-23 05:22 AM - Alexander Bruy
- Status changed from Open to Closed
Fixed in changeset commit:"904dc216251d183305ba1c5dc6c846be10a879db".

#3 - 2017-01-02 01:26 AM - Giovanni Manghi
- Category changed from 113 to Analysis library

Files
empty.rar 1.07 KB 2015-01-05 Jos Ferraro
full.rar 914 Bytes 2015-01-05 Jos Ferraro
